#!/usr/bin/lua
-- Script for learning a message from stdin

require "osbf"
require "getopt"

nonspamdb="nonspam.cfc"
spamdb="spam.cfc"

local optind, options = getopt(arg, { spam = 0, nonspam = 0, undo = 0})

if options["nonspam"] then
  db_index = 1
elseif options["spam"] then
  db_index = 2
else
  print("Syntax: train --nonspam|--spam  [--undo]")
  return 1
end

dbset = {
          classes = {nonspamdb, spamdb},
          ncfs = 1,
          delimiters = ""
}
learn_flags = 0

-- learn from stdin
if options["undo"] then
  assert(osbf.unlearn(io.read("*all"), dbset, db_index, learn_flags))
else
  assert(osbf.learn(io.read("*all"), dbset, db_index, learn_flags))
end

